CPUPRI_FIND(9)

NAME
cpupri_find - find the best (lowest-pri) CPU in the system

SYNOPSIS

int cpupri_find(struct cpupri * cp, struct task_struct * p, struct cpumask * lowest_mask);

ARGUMENTS

cp
    The cpupri context

p
    The task

lowest_mask
    A mask to fill in with selected CPUs (or NULL)

NOTE

This function returns the recommended CPUs as calculated during the current invocation. By the time the call returns, the CPUs may have in fact changed priorities any number of times. While not ideal, it is not an issue of correctness since the normal rebalancer logic will correct any discrepancies created by racing against the uncertainty of the current priority configuration.

RETURN

(int)bool - CPUs were found

COPYRIGHT